SystemOrganization addCategory: #'PW-Tests-Convenience'!

TestCase subclass: #PWRestfulLocatorSingletonTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests-Convenience'!

!PWRestfulLocatorSingletonTest methodsFor: 'as yet unclassified' stamp: 'chc 6/27/2016 08:22'!
testSingleton
	"There should only ever be one instance of PWRestfulLocator"
	self assert: (PWRestfulLocator allInstances size <= 1)! !

TestCase subclass: #PWRunningOnPort8624
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests-Convenience'!

!PWRunningOnPort8624 methodsFor: 'as yet unclassified' stamp: 'chc 6/23/2016 08:11'!
testListenerRunningOnPort8624
	|processname|
	processname := (ProcessBrowser new processList select: [:ea| ea name match: 'listener: 8624']) first name.
	self assert: (processname = 'listener: 8624')! !

TestCase subclass: #PWSeasidePrefsModelTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Tests-Convenience'!

!PWSeasidePrefsModelTest methodsFor: 'as yet unclassified' stamp: 'chc 6/23/2016 07:58'!
testModelInitialized
"When code is loaded #PWSeasidePrefsModel class initializeModel needs to be executed (PWSeasidePrefsModel initializeModel) to give default values for PEGWiki"
	|port|
	port := PWSeasidePrefsModel instance valueAt: #port.
	self assert: (port = 8624)
! !
